apache 2.0.55, php 5.0.5, mysql 5.0.13

kjoker

Registered
I was wondering if anyone can help me with these problems.

I installed apache 2.0.55 according to building and Installing Apache 2 and PHP 5.0.5 on Mac OS X 10.4 Tiger

installation works great.

Then I went on and install the PHP 5.0.5 using this config:
% --prefix=/apache2/php \
% --with-zlib \
% --with-xml \
% --with-mysql=/usr/local/mysql \
% --with-apxs2=/apache2/bin/apxs

I got an error on the mysql line:
configure: error: mysql configure failed

the path to mysql is correct. I already installed mysql using the mac osx package. I didn't put the gd, libjpeg, and libpng cause I haven't installed libjeg and libpng.

anyone can help me out with this?
I think I screwed up the privileges on the mysql and the root password. I can access ./mysql -u root -p with my root password. But I can't access it using myphpadmin. Already set up the config.inc.php.

My first time installing these 3 package 1 by 1. Before I use webserverxkit.

Thanks in advance.
Jo
 

ElDiabloConCaca

U.S.D.A. Prime
Well, I would suggest getting a known-good, working installation of mySQL going on first. You said that the permissions are screwed, and you cannot access mySQL through phpMyAdmin, which leads me to believe that it is choking on mySQL compatibility for those reasons.

Since you used the .pkg installer for mySQL, running a "Repair Permissions" via Disk Utility may help to reset the permissions back to their default. Otherwise, just back up the data folder in the mysql directory, remove mySQL and reinstall. Once the permissions are set right, and you are able to access it through phpMyAdmin, try building php again.
 

kjoker

Registered
thanks. got the mysql working and apache working without the php. unfortunately I need x11 installed for the lib5php.so. my error: Cannot load /usr/local/apache2/modules/libphp5.so into server: Library not loaded: /usr/X11R6/lib/libXpm.4.dylib\n
already posted another thread in the unix and x11 section.
 
Top